import { Locator, Page } from "@playwright/test";
import { InsuranceBasePage } from "./InsuranceBasePage";
import { step } from 'framework/localTypes/Step';

export default class RecalibrationInfoPage extends InsuranceBasePage {

    readonly continueButton: Locator;

    constructor(page: Page) {
        super(page);

        this.continueButton = page.getByRole('button', { name: 'Continue' });
    }

    @step("RecalibrationInfoPage >> Click continue button: ")
    async handleRecalibrationInfoPage() {
        await this.nextPage();
    }
}